Package org.eclipse.pde.core.project

# Interface IRequiredBundleDescription

public interface IRequiredBundleDescription
Describes a required bundle. Instances of this class can be created via `IBundleProjectService.newRequiredBundle(String, VersionRange, boolean, boolean)`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the symbolic name of the required bundle.
`VersionRange`
`getVersionRange()`
Returns the version constraint of the required bundle or `null` if unspecified.
`boolean`
`isExported()`
Returns whether the required bundle is re-exported.
`boolean`
`isOptional()`
Returns whether the required bundle is optional.

## Method Details

### getName

String getName()
Returns the symbolic name of the required bundle.

Returns:
  symbolic name of the required bundle

### getVersionRange

VersionRange getVersionRange()
Returns the version constraint of the required bundle or `null` if unspecified.

Returns:
  version constraint or `null`

### isExported

boolean isExported()
Returns whether the required bundle is re-exported.

Returns:
  whether re-exported

### isOptional

boolean isOptional()
Returns whether the required bundle is optional.

Returns:
  whether optional